*--------------------------------------------------------------*
*                Converted with cdf2F by G.Velev               *
*--------------------------------------------------------------*
C======================================================================C
      SUBROUTINE CLGIDX(KF,INDEX,IANTI)
C----------------------------------------------------------------------C
C     Get address (INDEX,IANTI) of PYTHIA/JETSET id KF in CVTABLE.LND  C
C----------------------------------------------------------------------C
C Revision history                                                     C
C     1990-10-04 H.Iso Original creation for PYTHIA 5.4 and JETSET 7.3 C
C----------------------------------------------------------------------C
C
      implicit none
C
C-----Arguments
      INTEGER KF,INDEX,IANTI
C-----Conversion common
#include "cvtlnd.inc" 
C-----Local use
      INTEGER KC,IKC,I,J
C-----External function
      INTEGER PYCOMP
C
C...................................................End of declarations/
C
C.....Get compressed id code in PYTHIA/JETSET of KF
      KC=PYCOMP(KF)
      IF(KC.EQ.0) GOTO 50
C.....Index of first position of KC
      IKC=INDXKC(KC)
C.....Search for KF
      DO 10 I=1,NKC(KC)
         INDEX=IKC+I-1
         IF(IABS(KF).EQ.IABS(LNDKF(1,INDEX))) GOTO 20
   10 CONTINUE
      GOTO 50
   20 DO 30 J=1,2
         IF(KF.EQ.LNDKF(J,INDEX)) GOTO 40
   30 CONTINUE
      GOTO 50
   40 IANTI=J
      RETURN
   50 INDEX=0
      IANTI=0
      RETURN
      END
