*--------------------------------------------------------------*
*                Converted with cdf2F by G.Velev               *
*--------------------------------------------------------------*
C======================================================================C
      SUBROUTINE SVKG35(IKO,IK,ICHKTC,ITC)
C----------------------------------------------------------------------C
C Description                                                          C
C     Fill daughter pointer and termination code of the parent pointer C
C----------------------------------------------------------------------C
C Revision history                                                     C
C     1989-06-09 H.Iso Original creation                               C
C----------------------------------------------------------------------C
C
      implicit none
C
C.....CDF common block
#include "generator/gnpack.inc" 
#include "generator/genp.inc" 
C
C.....Argument declarations
      INTEGER IKO,IK,ICHKTC,ITC
C
C...................................................End of declarations/
C
      IF(ICHKTC.LE.-2) THEN
         KGEN(5,IKO)=ITC
      ELSEIF(KGEN(3,IKO).EQ.0) THEN
         KGEN(3,IKO)=IK
         IF(ITC.GE.0) THEN
            IF(ICHKTC.EQ.-1.OR.KGEN(5,IKO).EQ.ICHKTC) KGEN(5,IKO)=ITC
         ENDIF
      ELSE
         KGEN(3,IKO)=KGEN(3,IKO)+NKGPAK
      ENDIF
C
      RETURN
      END
