*--------------------------------------------------------------*
*                Converted with cdf2F by G.Velev               *
*--------------------------------------------------------------*
C DEC/CMS REPLACEMENT HISTORY, Element PYTGEN.CDF
C *18   31-JAN-1995 08:51:07 EINSWEIL "fix ECM initialization"
C *17   22-JUL-1994 16:38:57 EINSWEIL "update HEPEVT INCLUDE"
C *16   12-MAY-1994 15:30:14 EINSWEIL "update for v4 of PDFLIB"
C *15   13-APR-1993 18:04:16 EINSWEIL "new code for PYTHIA 5.6"
C *14    9-JUN-1992 15:08:38 EINSWEIL "fix compilation error"
C *13    8-JUN-1992 15:10:01 EINSWEIL "fix READONLY in OPEN for RS6000"
C *12   12-JUN-1991 18:04:48 MDSHAPIRO "Unix port"
C *11    2-APR-1991 07:38:14 ISO "CDF version of PYTHIA 5.4/JETSET 7.3"
C *10    2-JUN-1988 22:50:01 GALTIERI "Check EVT at end run"
C *9     2-JUN-1988 22:33:31 GALTIERI "Print SEED every 100 events"
C *8    25-MAY-1988 17:27:28 GALTIERI "Put Random Number in KEVSP(10)"
C *7    18-MAY-1988 13:51:29 GALTIERI "Change UCLALIB to PYTHIA$LIBRARY"
C *6    17-MAY-1988 02:45:08 GALTIERI "printout module replaced by jetset code"
C *5    13-MAY-1988 01:26:08 GALTIERI "Change CVTABLE.PYT to CVTABLE.LND"
C *4    13-MAY-1988 00:00:33 GALTIERI "Add PEVSP"
C *3    20-APR-1988 02:33:20 GALTIERI "HAVE UIPACK ASSIGN A FREE MENUID, SO AS T
CWHICH MAY USE UIPACK MENUS"
C *2    13-APR-1988 23:38:43 GALTIERI "CHANGE C$GEN LOGICAL TO GENERATOR$SOURCE"
C *1    12-APR-1988 15:51:18 GALTIERI "INTERFACE FOR PYTHIA"
C DEC/CMS REPLACEMENT HISTORY, Element PYTGEN.CDF
C DEC/CMS REPLACEMENT HISTORY, Element PYTGEN.CDF
C *14    9-JUN-1992 15:08:38 EINSWEIL "fix compilation error"
C *13    8-JUN-1992 15:10:01 EINSWEIL "fix READONLY in OPEN for RS6000"
C *12   12-JUN-1991 18:04:48 MDSHAPIRO "Unix port"
C *11    2-APR-1991 07:38:14 ISO "CDF version of PYTHIA 5.4/JETSET 7.3"
C *10    2-JUN-1988 22:50:01 GALTIERI "Check EVT at end run"
C *9     2-JUN-1988 22:33:31 GALTIERI "Print SEED every 100 events"
C *8    25-MAY-1988 17:27:28 GALTIERI "Put Random Number in KEVSP(10)"
C *7    18-MAY-1988 13:51:29 GALTIERI "Change UCLALIB to PYTHIA$LIBRARY"
C *6    17-MAY-1988 02:45:08 GALTIERI "printout module replaced by jetset code"
C *5    13-MAY-1988 01:26:08 GALTIERI "Change CVTABLE.PYT to CVTABLE.LND"
C *4    13-MAY-1988 00:00:33 GALTIERI "Add PEVSP"
C *3    20-APR-1988 02:33:20 GALTIERI "HAVE UIPACK ASSIGN A FREE MENUID, SO AS T
CWHICH MAY USE UIPACK MENUS"
C *2    13-APR-1988 23:38:43 GALTIERI "CHANGE C$GEN LOGICAL TO GENERATOR$SOURCE"
C *1    12-APR-1988 15:51:18 GALTIERI "INTERFACE FOR PYTHIA"
C DEC/CMS REPLACEMENT HISTORY, Element PYTGEN.CDF
C======================================================================C
      SUBROUTINE PYTGEN
C----------------------------------------------------------------------C
C     Drives CDF version of PYTHIA,JETSET on A_C                       C
C----------------------------------------------------------------------C
C Revision history                                                     C
C     1990-10-04 H.Iso Original creation for PYTHIA 5.4 and JETSET 7.3 C
C----------------------------------------------------------------------C
C
      implicit none
C
C-----PYTHIA/JETSET include files
#include "pythia6.inc" 
#include "generator/hepevt.inc" 
C
C-----CDF PYTHIA interface include files
#include "cdflnd.inc" 
#include "cvtlnd.inc" 
C
C-----CDF include files
#include "inc/bcs.inc" 
#include "inc/erlevl.inc" 
#include "inc/evsp.inc" 
#include "inc/jobsta.inc" 
#include "inc/loguni.inc" 
#include "r_n/rn_seq.inc"
C
C-----UIPAC external functions
      INTEGER UIGTIN,UIGTON,UIGTLU,UIFRLU,UIDFFI
C
C-----YBOS external function
      INTEGER BLIST,BLOCAT
C
C-----Local use
      CHARACTER*8 FRAME,BEAM1,BEAM2
      DOUBLE PRECISION        WIN
C
      INTEGER STATUS
      INTEGER IEVT,IPRPYT
      INTEGER IDUMMY,MOVE
      INTEGER IRDRNS,IRNSRD
      INTEGER MSTU11
      INTEGER RUNNUM,LRDATA,LRINDX,LURNS,IERR
      LOGICAL LRNSW,LRNSR,LRNREM
      INTEGER RNSINI,RNQSTS
C
C-----EXTERNAL rutines
      EXTERNAL PYDATA   ! PYTHIA initialization block data
C      EXTERNAL LUDATA   ! JETSET initialization block data
      EXTERNAL CBDLND   ! CDF interface initialization block data
C
C-----Initialize run number
      DATA RUNNUM/1/
C
C...................................................End of declarations/
C
C----------------------------------------------------------------------C
      ENTRY CPYTIN
C----------------------------------------------------------------------C
C     Program initialization                                           C
C----------------------------------------------------------------------C
C
C=====CDF stuff
C
C-----Initialise Generate_events module
      CALL ANGMCI
C
C-----Call routine to zero all Generation buffers
      CALL GISPIN
C
C=====USER stuff
C
      IPRPYT=0
C
C.....Defaults for BEAM
      FRAME='CMS'
      BEAM1='P'
      BEAM2='PBAR'
      WIN=1800.
C
C=====Readin particle id conversion table
C
      CALL CLRCVT
C
C=====Initialize event number
C
      IEVT=0
C
C=====Initialize random number state read
C
      IRDRNS=0
C
C.....Random number
      KEVSP(10)=0
C
C=====Initialize Generation Checking Routines
      IF(RUNNUM.EQ.1) CALL CHKGP0(LUPRT,0)
C
C=====Initialize random number stream
C
      IF (RNQSTS(0).EQ.-1) CALL RNGINI
      IF (RNQSTS(RN_PYTH).EQ.-1) STATUS=RNSINI(RN_PYTH)
      CALL RNSPRT(RN_PYTH)
C
      RETURN
C
C----------------------------------------------------------------------C
      ENTRY CPYTTA
C----------------------------------------------------------------------C
C
C-----Change default values by user
      CALL PYTTLK(RUNNUM,FRAME,BEAM1,BEAM2,WIN)
C
C-----If HEP output ON, then HEP conversion ON
      CLNDL(20)=(CLNDL(1).OR.CLNDL(20))
C
C-----If GENP output ON, then GENP conversion ON
      CLNDL(21)=(CLNDL(21).OR.CLNDL(29).OR.CLNDL(30))
C
      RETURN
C
C----------------------------------------------------------------------C
      ENTRY CPYTRI
C----------------------------------------------------------------------C
C     Run initialization                                               C
C----------------------------------------------------------------------C
C
C-----Initialization for PYTHIA
      CALL PYINIT(FRAME,BEAM1,BEAM2,WIN)
C
C-----Fill the GENH bank
      CALL FLGNHP(WIN)
      CALL GNHCTB(IERR)
      STATUS=BLIST(IW,'A+','GENH')
C
C-----Setup to generate LRID bank
      CALL ANGMCR
C
C.....Modify run number
      STATUS=BLOCAT(IW,'LRID',1,LRINDX,LRDATA)
      IF(LRDATA.GT.0) IW(LRDATA)=RUNNUM
      NRUN=RUNNUM
C
C-----Check GENH Bank creation
      IF(RUNNUM.EQ.1) CALL CHKGP1(LUPRT,0)
C
C-----Open OUTPUT/INPUT files, call PYLIST
C.....STORE MSTU(11)
      MSTU11=MSTU(11)
C.....PARTICLE TABLE
      IF(CLNDL(3)) THEN
         STATUS=UIGTLU(CLNDI(3))
         MSTU(11)=CLNDI(3)
         OPEN(UNIT=CLNDI(3),FILE=CLNDC(3),STATUS='NEW')
         CALL PYLIST(11)
         CLOSE(UNIT=CLNDI(3))
      ENDIF
C.....DECAY TABLE
      IF(CLNDL(4)) THEN
         STATUS=UIGTLU(CLNDI(4))
         MSTU(11)=CLNDI(4)
         OPEN(UNIT=CLNDI(4),FILE=CLNDC(4),STATUS='NEW')
         CALL PYLIST(12)
         CLOSE(UNIT=CLNDI(4))
      ENDIF
C.....JETSET DATA
      IF(CLNDL(5)) THEN
         STATUS=UIGTLU(CLNDI(5))
         MSTU(11)=CLNDI(5)
         OPEN(UNIT=CLNDI(5),FILE=CLNDC(5),STATUS='NEW')
         CALL PYLIST(13)
         CLOSE(UNIT=CLNDI(5))
      ENDIF
C.....PYDATA2
      IF(CLNDL(28)) THEN
         STATUS=UIGTLU(CLNDI(28))
         OPEN(UNIT=CLNDI(28),FILE=CLNDC(28),STATUS='NEW')
         CALL CLULIS(11,CLNDI(28))
         CLOSE(UNIT=CLNDI(28))
      ENDIF
C.....CDF PARTICLE LIST
      IF(CLNDL(27)) THEN
         STATUS=UIGTLU(CLNDI(27))
         OPEN(UNIT=CLNDI(27),FILE=CLNDC(27),STATUS='NEW')
         CALL CLULIS(12,CLNDI(27))
         CLOSE(UNIT=CLNDI(27))
      ENDIF
C.....PYTHIA FORMAT EVENT DUMP
      IF(CLNDL(2)) THEN
         STATUS=UIGTLU(CLNDI(2))
         MSTU(11)=CLNDI(2)
         OPEN(UNIT=CLNDI(2),FILE=CLNDC(2),STATUS='NEW')
      ENDIF
C.....HEPEVT FORMAT EVENT DUMP
      IF(CLNDL(1)) THEN
         STATUS=UIGTLU(CLNDI(1))
         OPEN(UNIT=CLNDI(1),FILE=CLNDC(1),STATUS='NEW')
      ENDIF
C.....EVENT DUMP WITH GENP CONVERSION MAP
      IF(CLNDL(29)) THEN
         STATUS=UIGTLU(CLNDI(29))
         OPEN(UNIT=CLNDI(29),FILE=CLNDC(29),STATUS='NEW')
      ENDIF
C.....GENP FORMAT EVENT DUMP
      IF(CLNDL(30)) THEN
         STATUS=UIGTLU(CLNDI(30))
         OPEN(UNIT=CLNDI(30),FILE=CLNDC(30),STATUS='NEW')
      ENDIF
      GOTO 1001

C.....RANDOM NUMBER OUTPUT FILE
      LRNSW=CLNDL(10).OR.CLNDL(11).OR.CLNDL(12).OR.CLNDL(13)
      IF(LRNSW) THEN
         STATUS=UIGTLU(CLNDI(8))
         OPEN(UNIT=CLNDI(8),FILE=CLNDC(8),STATUS='NEW'
     &       ,FORM='UNFORMATTED')
      ENDIF
C.....RANDOM NUMBER INPUT FILE
      LRNSR=CLNDL(14).OR.CLNDL(15).OR.CLNDL(16)
      IF(LRNSR) THEN
         STATUS=UIGTLU(CLNDI(9))
#if defined (IBM)
         CALL IBMFI(CLNDC(9),CLNDI(9))
         OPEN(UNIT=CLNDI(9),
#else 
#if defined(RS6000) || defined(LINUX)
         OPEN(UNIT=CLNDI(9),
     &        FILE=CLNDC(9),STATUS='OLD',FORM='UNFORMATTED',
#else
         OPEN(UNIT=CLNDI(9),
     &        FILE=CLNDC(9),STATUS='OLD',FORM='UNFORMATTED',
     &        READONLY,SHARED,
#endif
#endif
     &        ERR=229)
C
C-----Count number of record in random number file
         REWIND CLNDI(9)
         CLNDI(14)=0
  220    READ(CLNDI(9),END=222,ERR=229) IDUMMY
         CLNDI(14)=CLNDI(14)+1
         GOTO 220
  222    LRNREM=(CLNDI(14).GE.1)
         WRITE(6,5200) CLNDI(14),CLNDC(9)
 5200    FORMAT(/1X,'Total record',I6,' in file ',A/)
C
C-----Set starting posission
C........Generate from final state
         IF(CLNDL(15)) THEN
            IF(LRNREM) BACKSPACE(CLNDI(9),ERR=228,IOSTAT=IERR)
            IRNSRD=CLNDI(14)-1
C........Generate from n-th state
         ELSEIF(CLNDL(16)) THEN
            IF(CLNDI(13).LE.CLNDI(14)) THEN
               REWIND CLNDI(9)
               MOVE=CLNDI(13)-1
               IF(MOVE.GE.1) CALL PYRSET(LURNS,MOVE)
               IRNSRD=MOVE
            ELSE
               LRNREM=.FALSE.
               IRNSRD=CLNDI(14)
            ENDIF
C........Otherwise
         ELSE
            IF(LRNREM) REWIND CLNDI(9)
            IRNSRD=0
         ENDIF
C
      ENDIF
C
      RETURN
C
  228 WRITE(6,*) 'Error in reading file'
      LRNREM=.FALSE.
      RETURN
  229 WRITE(6,*) 'Error in opening file'
      LRNREM=.FALSE.

 1001 RETURN
C
C----------------------------------------------------------------------C
      ENTRY CPYTEV
C----------------------------------------------------------------------C
C     Generate an event by PYTHIA/JETSET                               C
C----------------------------------------------------------------------C
C
C=====CDF stuff
C
C.....Generate LRID and EVCL banks
      CALL ANGMCE
      IF(IRTYPA.NE.0) RETURN
C
C.....Modify run number if required
      IF(RUNNUM.NE.1) THEN
         STATUS=BLOCAT(IW,'LRID',1,LRINDX,LRDATA)
         IF(LRDATA.GT.0) IW(LRDATA)=RUNNUM
         NRUN=RUNNUM
      ENDIF
C
C=====Generate events
C
C-----Increment the event number
      IEVT=IEVT+1
 5300 FORMAT(/1X,'PYTGEN: FINAL READ OF RANDOM NUMBER STATE AT EVENT'
     &       ,I6,', TOTAL ',I6,' READ'/)
C
C-----Generate event
      CALL PYEVNT
C
C-----Convert to GENP format
      IF(CLNDL(21)) CALL CONVPY
C
C-----Convert to HEP format, if HEPG  output requested
C Convert the GENP output to HEPEVT instead of using
C the Lund routine,to be sure both banks are consistent
C It would be easyer to do it the other way, but
C using the GENP conversion routine first allows to get
C the correct termination codes. This is better for some
C CDFSIM routines...
      IF(CLNDL(20)) THEN
         CALL GNPCTB(IERR)
         CALL GNPHEP(IERR)
      ENDIF
C
C-----Print out event
      IF(CLNDI(10).GT.IPRPYT) THEN
         IF(CLNDI(11).EQ.1.OR.MOD(IEVT,CLNDI(11)).EQ.1) THEN
            IPRPYT=IPRPYT+1
            IF(CLNDL(2))  CALL PYLIST(CLNDI(12))
            IF(CLNDL(1))  CALL CLULIS(1,CLNDI(1))
            IF(CLNDL(30)) CALL CLULIS(2,CLNDI(30))
            IF(CLNDL(29)) CALL CLULIS(3,CLNDI(29))
         ENDIF
      ENDIF
C
C-----Make YBOS banks for the output
      CALL EVSCTB(IERR)
C Genp case...
      IF (CLNDL(21)) CALL GNPCTB(IERR)
C Make HEPG bank if requested
      IF (CLNDL(20)) THEN
        CALL HEPCTB(IERR)
      ENDIF
      STATUS=BLIST(IW,'A+','EVSPGENP')
C
C.....Check Integrity of Event
C      IF(RUNNUM.EQ.1) CALL CHKGP2(LUPRT,0)
C
      RETURN
C
C----------------------------------------------------------------------C
      ENTRY CPYTRF
C----------------------------------------------------------------------C
C     Run termination                                                  C
C----------------------------------------------------------------------C
C
C-----Create end run record
      CALL ANGMCF
C
C-----Modify run number if required
      IF(RUNNUM.NE.1) THEN
         STATUS=BLOCAT(IW,'LRID',1,LRINDX,LRDATA)
         IF(LRDATA.GT.0) IW(LRDATA)=RUNNUM
         NRUN=RUNNUM
      ENDIF
C
C-----Reset MSTU(11)
      MSTU(11)=MSTU11
C
C-----Check end run integrity
      IF(RUNNUM.EQ.1) CALL CHKGP3(LUPRT,0)
C
      RETURN
C
C----------------------------------------------------------------------C
      ENTRY CPYTFI
C----------------------------------------------------------------------C
C     Program termination                                              C
C----------------------------------------------------------------------C
C
C-----Print PYTHIA statistics
      CALL PYSTAT(1)
C
      CALL PDFSTA
C
C-----Output final random number state to file
      CALL RNSPRT(RN_PYTH)
      CALL RNGEND
C
C-----Close files
      IF(CLNDL(1)) CLOSE(CLNDI(1))
      IF(CLNDL(2)) CLOSE(CLNDI(2))
      IF(CLNDL(29)) CLOSE(CLNDI(29))
      IF(CLNDL(30)) CLOSE(CLNDI(30))
C
C-----Final CALL to Generation Checking Routine
      IF(RUNNUM.EQ.1) CALL CHKGP4(LUPRT,0)
C
      RETURN
      END
