*--------------------------------------------------------------*
*                Converted with cdf2F by G.Velev               *
*--------------------------------------------------------------*
C VAX/DEC CMS REPLACEMENT HISTORY, Element PYTTLK.CDF
C *14   30-MAR-1994 07:07:40 EINSWEIL "fix long_name in include"
C *13   14-OCT-1993 23:17:19 EINSWEIL "update UIPACK calls"
C *12   19-MAY-1993 17:14:59 EINSWEIL "fix error in MSEL=25"
C *11   13-APR-1993 18:04:29 EINSWEIL "new code for PYTHIA 5.6"
C *10   11-JUN-1992 13:28:19 EINSWEIL "fix FORMAT for AIX"
C *9     8-JUN-1992 15:09:42 EINSWEIL "fix READONLY in OPEN for RS6000"
C *8    12-JUN-1991 18:04:51 MDSHAPIRO "Unix port"
C *7     2-APR-1991 07:38:42 ISO "CDF version of PYTHIA 5.4/JETSET 7.3"
C *6     7-JUL-1988 23:30:18 GALTIERI "Use default for PYPAR(20)"
C *5    18-MAY-1988 13:55:02 GALTIERI "CHANGE UCLALIB to PYTHIA$LIBRARY"
C *4    17-MAY-1988 02:41:27 GALTIERI "modified for online help facilities"
C *3    13-MAY-1988 00:15:13 GALTIERI "Fix IPROD Dialog"
C *2    20-APR-1988 02:37:40 GALTIERI "ALSO HAVE UIPACK ASSIGN FREE MENU ID"
C *1    12-APR-1988 15:52:10 GALTIERI "PYTHIA DIALOGUE CODE"
C VAX/DEC CMS REPLACEMENT HISTORY, Element PYTTLK.CDF
C DEC/CMS REPLACEMENT HISTORY, Element PYTTLK.CDF
C *10   11-JUN-1992 13:28:19 EINSWEIL "fix FORMAT for AIX"
C *9     8-JUN-1992 15:09:42 EINSWEIL "fix READONLY in OPEN for RS6000"
C *8    12-JUN-1991 18:04:51 MDSHAPIRO "Unix port"
C *7     2-APR-1991 07:38:42 ISO "CDF version of PYTHIA 5.4/JETSET 7.3"
C *6     7-JUL-1988 23:30:18 GALTIERI "Use default for PYPAR(20)"
C *5    18-MAY-1988 13:55:02 GALTIERI "CHANGE UCLALIB to PYTHIA$LIBRARY"
C *4    17-MAY-1988 02:41:27 GALTIERI "modified for online help facilities"
C *3    13-MAY-1988 00:15:13 GALTIERI "Fix IPROD Dialog"
C *2    20-APR-1988 02:37:40 GALTIERI "ALSO HAVE UIPACK ASSIGN FREE MENU ID"
C *1    12-APR-1988 15:52:10 GALTIERI "PYTHIA DIALOGUE CODE"
C DEC/CMS REPLACEMENT HISTORY, Element PYTTLK.CDF
C======================================================================C
      SUBROUTINE PYTTLK(RUNNUM,FRAME,BEAM1,BEAM2,WIN)
C----------------------------------------------------------------------C
C     Talk_to module for CDF version of PYTHIA/JETSET                  C
C----------------------------------------------------------------------C
C Revision history                                                     C
C     1990-10-04 H.Iso Original creation                               C
C----------------------------------------------------------------------C
C
      implicit none
C
C-----Arguments
      INTEGER     RUNNUM
      CHARACTER*8 FRAME,BEAM1,BEAM2
      DOUBLE PRECISION      WIN
C
C-----PYTHIA include files
#include "pythia6.inc" 
C
C-----CDF PYTHIA interface include files
#include "cdflnd.inc" 
#include "cvtlnd.inc" 
C
C-----CDF include file
#include "inc/erlevl.inc" 
#include "inc/loguni.inc" 
#include "r_n/rn_seq.inc"
C
C-----UIPACK include files
#include "uipack/uiparam.inc" 
#include "uipack/uierror.inc" 
#include "s_i/noarginc.inc" 
C
      INTEGER UI$STATUS
#include "s_i/sierror.inc" 
      INTEGER SIGTEN, SITRFN, SISTLE
C
C-----UIPACK external functions
      INTEGER UIASGP,UIASME,UIACME,UIDFFI
      INTEGER UIUSGP,UIGTRE,UIGTTX,UIGTIN
      INTEGER UIGTYE,UIGTHE,UIGTON,UIGTLU
      INTEGER UIGTDP,UIFRLU,UIOPMD,UIPAUS
C
C-----External functions
C      INTEGER PYCOMP,CULEN
      INTEGER CULEN
C
C-----Local Declarations
      INTEGER GROUP,MENUID
      INTEGER STATUS,IGCAL,IDUMMY
      INTEGER ICUT,ISUB,IDC,IDC1,IDC2
      INTEGER IERR
      INTEGER IMSTP,IPARP,IMSTU,IPARU,IMSTJ,IPARJ,IPARF
      INTEGER IIMSS,IRMSS
      INTEGER I,J,ISAVE,I1,I2
      INTEGER KC,KF,KFN,NC
      INTEGER LENGTH,ILEN
      REAL    SUM
      LOGICAL LONOFF(0:1),LGCAL
      CHARACTER*  3 CONOFF(0:1)
      CHARACTER*  4 CH4
      CHARACTER*  8 CH8
      CHARACTER* 16 CH16,CHCKI2(27)
      CHARACTER* 50 VERB
      CHARACTER* 120 FILNAM
      CHARACTER* 72 CH72,CHMSEL(0:44)
      CHARACTER*132 CH132

      CHARACTER*28 TITLE
      DOUBLE PRECISION SIGMAX
C
      EQUIVALENCE(LGCAL,IGCAL)
C
C-----Data statements
      DATA GROUP,MENUID/0,0/
      DATA (LONOFF(J),J=0,1)/.FALSE.,.TRUE./
      DATA (CONOFF(J),J=0,1)/'OFF','ON '/
      DATA  CHMSEL(0)
     */'Desired subprocesses should be selected using MSUB'/
      DATA (CHMSEL(J),J=1,10)
     1/'QCD high pt processes (ISUB=11,12,13,28,53,68) + low pt events'
     2,'QCD high pt processes + low pt, diffractive, elastic events'
     3,'None'
     4,'Charm  pair( c + cbar ) production (ISUB=81,82)'
     5,'Bottom pair( b + bbar ) production (ISUB=81,82)'
     6,'Top    pair( t + tbar ) production (ISUB=81,82)'
     7,'Low    pair( l + lbar ) production (ISUB=81,82)'
     8,'High   pair( h + hbar ) production (ISUB=81,82)'
     9,'None'
     *,'Direct photons (ISUB=14,18,29)'/
      DATA (CHMSEL(J),J=11,20)
     1/'Z0   production (ISUB=1)'
     2,'W+/- production (ISUB=2)'
     3,'Z0   + jet production (ISUB=15,30)'
     4,'W+/- + jet production (ISUB=16,31)'
     5,'W/Z0/Gamma pair production (ISUB=19,20,22,23,25)'
     6,'H0   production (ISUB=3,102,103,123,124)'
     7,'H0 + Z0, or H0 + W+/- production (ISUB=24,26)'
     8,'None'
     9,'H0, H0'', A0 production (ISUB=24,103,123,124,153,158,171-179)'
     *,'None'/
      DATA (CHMSEL(J),J=21,30)
     1/'Z''0   production (ISUB=141)'
     2,'W''+/- production (ISUB=142)'
     3,'H+/-  production (ISUB=143)'
     4,'R0    production (ISUB=144)'
     5,'LQ (Leptoquark) Production (ISUB=145,162,163,164)'
     6,'None'
     7,'None'
     8,'None'
     9,'None'
     *,'None'/
      DATA (CHMSEL(J),J=31,38)
     1/'None'
     2,'None'
     3,'None'
     4,'None'
     5,'Single bottom production with W exchange(ISUB=83)'
     6,'Single top    production with W exchange(ISUB=83)'
     7,'Single low    production with W exchange(ISUB=83)'
     8,'Single high   production with W exchange(ISUB=83)'/
      DATA (CHMSEL(J),J=39,44)
     1/'All SUSY processes except Higgs production'
     2,'Squark and gluino production (ISUB=243,244,258,259,271-280)'
     3,'Stop pair production (ISUB=261-265)'
     4,'Slepton pair production (ISUB=201-214)'
     5,'Squark or gluino with EW gaugino (ISUB=237-242,246-256)'
     6,'Chargino-neutralino pair production (ISUB=216-236)'/
      DATA (CHCKI2(J),J=1,27)
     1/'m-hat           ','pt-hat          ','pt-cutoff       '
     4,'y*              ','max(y3,y4)      ','min(y3,y4)      '
     7,'max(eta3,eta4)  ','min(eta3,eta4)  ','max(cos3,cos4)  '
     *,'min(cos3,cos4)  ','x1              ','x2              '
     3,'xF              ','cos(theta-hat)  ','None            '
     6,'None            ','None            ','None            '
     9,'None            ','None            ','resonance mass 1'
     2,'resonance mass 2','2nd resonance m1','2nd resonance m2'
     5,'None            ','min(pt_2,pt_3)  ','max(pt_2,pt_3)  '/
C
C...................................................End of declarations/
C
C===+-:Initializations
      IF(GROUP.EQ.0) THEN
C
C........Get a free verb group from the pool
         STATUS=UIASGP(GROUP)
C
C........Get a free menu id from the pool
         STATUS=UIASME(MENUID)
C
C........Read menu definition file
         CALL CHKLOG('PYTHIA_UID','PYTHIA$LIBRARY:PYTTLK6.UID',
     &               FILNAM,IERR)
         IF (FILNAM.EQ.'NONE'.OR.IERR.NE.ERSUCC) THEN
           CALL ERLOGR('PYTTLK',ERWARN,0,0,
     &                 'Unable to Translate PYTHIA_UID')
         ENDIF
         STATUS=UIDFFI(FILNAM,GROUP,MENUID,N$A,N$A,N$A,N$A)
         IF(STATUS.NE.UISUCC) THEN
            WRITE(LUPRT,5000)
 5000       FORMAT(/1X,'TLKPYT: Error in using UIPack definition file'/)
         ENDIF
C
      ENDIF
C
C===00:Top menu
C
C.....Use the correct verb group
    1 STATUS=UIUSGP(GROUP,N$A)
C
C.....Ask for a menu item
      STATUS=UIACME(MENUID,VERB,N$A)
C
C.....If the user types control-Z, then exit
      IF(STATUS.EQ.UIABRT) RETURN
C
C.....If error
      IF((STATUS.NE.UISUCC).AND.(STATUS.NE.UIQUPR)) GOTO 1
C
C===01:BEAMS
C
      IF(VERB.EQ.'BEAMS') THEN
C
C--------Ask for a menu item - BEAMS -
  100    STATUS=UIACME(MENUID+ 1,VERB,N$A)
         IF((STATUS.NE.UISUCC).AND.(STATUS.NE.UIQUPR)) GOTO 1
C
C--------FRAME
         IF(VERB.EQ.'FRAME') THEN
C
  110       CH8=FRAME
            STATUS=UIGTTX('FRAME(* for help)',CH8,N$A,N$A,N$A)
            IF(CH8.EQ.'CMS'.OR.CH8.EQ.'FIXED'
     &     .OR.CH8.EQ.'USER'.OR.CH8.EQ.'NONE') THEN
               FRAME=CH8
            ELSE
               WRITE(6,5100)
               GOTO 110
            ENDIF
            IF(FRAME.EQ.'USER') THEN
               STATUS=UIGTRE('P_X of BEAM1',P(1,1),N$A,N$A)
               STATUS=UIGTRE('P_Y of BEAM1',P(1,2),N$A,N$A)
               STATUS=UIGTRE('P_Z of BEAM1',P(1,3),N$A,N$A)
               STATUS=UIGTRE('P_X of BEAM2',P(2,1),N$A,N$A)
               STATUS=UIGTRE('P_Y of BEAM2',P(2,2),N$A,N$A)
               STATUS=UIGTRE('P_Z of BEAM2',P(2,3),N$A,N$A)
            ENDIF
            GOTO 100
 5100       FORMAT(
     &      /1X,'Following frames are available'/
     &      /1X,'    CMS     Colliding beam experiment in CM frame'
     &      /1X,'    FIXT    Fixed target experiment'
     &      /1X,'    USER    Full freedom to specify frame'
     &      /1X,'    NONE    No initialization'/)
C
C--------BEAM_TYPE
         ELSEIF(VERB.EQ.'BEAM_TYPE') THEN
C
  120       CH8=BEAM1
            STATUS=UIGTTX('BEAM_1(* for help)',CH8,N$A,N$A,N$A)
            IF(CH8.EQ.'P'.OR.CH8.EQ.'PBAR'
     &     .OR.CH8.EQ.'N'.OR.CH8.EQ.'NBAR'
     &     .OR.CH8.EQ.'PI+'.OR.CH8.EQ.'PI-'
     &     .OR.CH8.EQ.'E-'.OR.CH8.EQ.'E+'
     &     .OR.CH8.EQ.'MU-'.OR.CH8.EQ.'MU+'
     &     .OR.CH8.EQ.'NUMU'.OR.CH8.EQ.'NUMUBAR') THEN
               BEAM1=CH8
            ELSE
               WRITE(6,5102)
               GOTO 120
            ENDIF
  122       CH8=BEAM2
            STATUS=UIGTTX('BEAM_2(* for help)',CH8,N$A,N$A,N$A)
            IF(CH8.EQ.'P'.OR.CH8.EQ.'PBAR'
     &     .OR.CH8.EQ.'N'.OR.CH8.EQ.'NBAR'
     &     .OR.CH8.EQ.'PI+'.OR.CH8.EQ.'PI-'
     &     .OR.CH8.EQ.'E-'.OR.CH8.EQ.'E+'
     &     .OR.CH8.EQ.'NUE'.OR.CH8.EQ.'NUEBAR'
     &     .OR.CH8.EQ.'MU-'.OR.CH8.EQ.'MU+'
     &     .OR.CH8.EQ.'NUMU'.OR.CH8.EQ.'NUMUBAR') THEN
               BEAM2=CH8
            ELSE
               WRITE(6,5102)
               GOTO 122
            ENDIF
            GOTO 100
 5102       FORMAT(
     &      /1X,'Following beam types are available'/
     &      /1X,'    P,PBAR ,N,NBAR ,PI+,PI-'
     &      /1X,'    E-,E+  ,NUE,NUEBAR ,MU-,MU+ ,NUMU,NUMUBAR'/)
C
C--------ENERGY
         ELSEIF(VERB.EQ.'ENERGY') THEN
C
            STATUS=UIGTDP('TOTAL ENERGY in GeV',WIN,N$A,N$A)
            GOTO 100
C
C--------SHOW
         ELSEIF(VERB.EQ.'SHOW') THEN
C
            WRITE(6,5110) FRAME,BEAM1,BEAM2,WIN
 5110       FORMAT(//15X,40('*')/15X,'*',38X,'*'
     &              /15X,'*',12X,'FRAME = ',A8,10X,'*'
     &              /15X,'*',12X,'BEAM1 = ',A8,10X,'*'
     &              /15X,'*',12X,'BEAM2 = ',A8,10X,'*'
     &              /15X,'*', 5X,'TOTAL ENERGY = ',F9.3,' GEV',5X,'*'
     &              /15X,'*',38X,'*'/15X,40('*')//)
            GOTO 100
C
C--------RETURN
         ELSEIF(VERB.EQ.'RETURN') THEN
C
            GOTO 1
C
         ENDIF
         GOTO 100
C
C===02:PROCESS
C
      ELSEIF(VERB.EQ.'PROCESS') THEN
C
C--------Ask for a menu item - PROCESS -
  200    STATUS=UIACME(MENUID+ 2,VERB,N$A)
         IF((STATUS.NE.UISUCC).AND.(STATUS.NE.UIQUPR)) GOTO 1
C
C--------SET_PROCESS
         IF(VERB.EQ.'SET_PROCESS') THEN
C
C...........ASK MSEL
            WRITE(6,5200)
            ISAVE=MSEL
  210       STATUS=UIGTIN('MSEL(-1 for help)',MSEL,N$A,N$A)
            IF(MSEL.LE.-1.OR.MSEL.GE.45) THEN
               WRITE(5,5202)
               DO 212 J=0,44
  212          IF(CHMSEL(J)(1:4).NE.'None') WRITE(6,5210) J,CHMSEL(J)
               MSEL=ISAVE
               GOTO 210
            ENDIF
            IF(CHMSEL(MSEL)(1:4).EQ.'None') THEN
               WRITE(6,5204) MSEL
               GOTO 210
            ENDIF
C
            IF(MSEL.NE.0) GOTO 200
C
C...........MSEL=0 CASE: ASK MSUB SWITCH
            WRITE(6,5220)
  220       ISUB=0
            STATUS=UIGTIN('MSUB Index to turn ON (0 to Exit)',ISUB,N$A,
     &         N$A)
            IF(ISUB.EQ.0) GOTO 200
            IF(ISUB.LE.0.OR.ISUB.GE.281) THEN
               WRITE(6,*) '1=< MSUB Index =< 280'
            ENDIF
C            IF(PROC(ISUB)(1:1).EQ.' ') THEN
C               WRITE(6,5222) ISUB
C            ELSE
               MSUB(ISUB)=1
C            ENDIF
            GOTO 220
 5200       FORMAT(/1X,'A set of active processes is selected in one'
     &                ,' of two ways:'
     &      //8X,'1) MSEL=  0    : Subprocesses are controlled by MSUB'
     &       /8X,'2) MSEL= 1-44  : Preprogrammed set of subprocesses'
     *          ,' labeled by MSEL value'/)
 5202       FORMAT(/1X,'Following MSEL values are available'/)
 5204       FORMAT(/1X,'MSEL=',I3,' is not available, try again'/)
 5210       FORMAT(3X,I3,' : ',A)
 5220       FORMAT(/1X,'MSEL=0 : Active process set'
     &                ,' is given by MSUB switches'/)
 5222       FORMAT(/1X,'ISUB=',I4,' is not available'/)
C
C--------RESET_MSUB
         ELSEIF(VERB.EQ.'RESET_MSUB') THEN
            DO 230 J=1,280
  230       MSUB(J)=0
            WRITE(6,5230)
            GOTO 200
 5230       FORMAT(/1X,'Set ALL MSUB switches OFF'
     &             /1X,'If MSEL=0, some MSUB switch must be ON'/)
C
C--------LIST_ACTIVE
         ELSEIF(VERB.EQ.'LIST_ACTIVE') THEN
            IF(MSEL.NE.0) THEN
               WRITE(6,5242)
               WRITE(6,5240) MSEL,CHMSEL(MSEL)
            ELSE
               WRITE(6,5242)
               DO 240 J=1,200
                  IF(MSUB(J).EQ.0) GOTO 240
                  WRITE(6,5244) J,PROC(J)
  240          CONTINUE
            ENDIF
            GOTO 200
 5240       FORMAT(/3X,'MSEL =',I4,' : ',A/)
 5242       FORMAT(/1X,26('*'),' LIST OF ACTIVE PROCESSES ',26('*')/)
 5244       FORMAT(3X,'ISUB=',I3,3X,A28)
C
C--------HELP_MSEL
         ELSEIF(VERB.EQ.'HELP_MSEL') THEN
            WRITE(5,5202)
            DO 250 J=0,44
  250       IF(CHMSEL(J)(1:4).NE.'None') WRITE(6,5210) J,CHMSEL(J)
            GOTO 200
C
C--------HELP_MSUB
         ELSEIF(VERB.EQ.'HELP_MSUB') THEN
            WRITE(6,5260)
            DO 260 J=1,280
               IF(ISET(J).LE.-1) GOTO 260
               WRITE(6,5262) J,PROC(J),CONOFF(MSUB(J))
  260       CONTINUE
            GOTO 200
 5260       FORMAT(
     &      /1X,'MSUB SWITCHES ARE EFFECTIVE IF AND ONLY IF MSEL = 0'
     &      /1X,'IF MSEL.NE.0, ACTIVE SUBPROCESSES ARE GIVEN BY MSEL'/
     &      /1X,16('*')
     &      ,' LIST OF SUB PROCESSES( PROC-ID NAME ON/OFF ) ',16('*')/)
 5262       FORMAT(1X,I4,2X,A28,7X,A3)
C
C--------KFIN
         ELSEIF(VERB.EQ.'KFIN') THEN
C...........Ask for a menu item - KFIN -
  270       STATUS=UIACME(MENUID+ 3,VERB,N$A)
            IF((STATUS.NE.UISUCC).AND.(STATUS.NE.UIQUPR)) GOTO 200
C
C...........SET_INDIVISUAL
            IF(VERB.EQ.'SET_INDIVIDUAL') THEN
  272          STATUS=UIGTIN('PARTICLE ID(0 FOR HELP)',KF,N$A,N$A)
               IF(IABS(KF).GT.40.OR.KF.EQ.0) THEN
                  WRITE(6,5270)
                  GOTO 270
               ENDIF
C...........INHIBIT_ALL
            ELSEIF(VERB.EQ.'INHIBIT_ALL') THEN
               DO 274 I=1,2
                  DO 274 J=-40,40
  274          KFIN(I,J)=0
               WRITE(6,5272)
               KF=0
C...........ALLOW_ALL
            ELSEIF(VERB.EQ.'ALLOW_ALL') THEN
               DO 276 I=1,2
                  DO 276 J=-40,40
  276          KFIN(I,J)=1
               WRITE(6,5274)
               KF=0
C...........SHOW
            ELSEIF(VERB.EQ.'SHOW') THEN
               WRITE(6,5276) 'BEAM1'
     &        ,(( 10*I+J,CONOFF(KFIN(1, 10*I+J))
     &          ,-10*I-J,CONOFF(KFIN(1,-10*I-J))
     &        ,I=0,3),J=1,10)
               WRITE(6,5276) 'BEAM2'
     &        ,(( 10*I+J,CONOFF(KFIN(2, 10*I+J))
     &          ,-10*I-J,CONOFF(KFIN(2,-10*I-J))
     &        ,I=0,3),J=1,10)
               GOTO 270
C...........RETURN
            ELSEIF(VERB.EQ.'RETURN') THEN
               GOTO 200
            ENDIF
            IF(KF.NE.0) THEN
               CALL PYNAME(KF,CH16)
               CH16=CH16(1:6)//' in beam 1'
               LGCAL=LONOFF(KFIN(1,KF))
               STATUS=UIGTON(CH16,LGCAL)
               IF (LGCAL) THEN
                 KFIN(1,KF)=1
               ELSE
                 KFIN(1,KF)=0
               ENDIF
C
               LGCAL=LONOFF(KFIN(2,KF))
               CH16=CH16(1:6)//' in beam 2'
               STATUS=UIGTON(CH16,LGCAL)
               IF (LGCAL) THEN
                 KFIN(2,KF)=1
               ELSE
                 KFIN(2,KF)=0
               ENDIF
            ENDIF
 5270       FORMAT(/1X,'Particle with -40 =< ID =< 40 can be switched'/
     &             /6X,' 1 d        11 e-      21 g       31         '
     &             /6X,' 2 u        12 nue     22 gamma   32 Z''0    '
     &             /6X,' 3 s        13 mu-     23 Z0      33 W''+    '
     &             /6X,' 4 c        14 numu    24 W+      34         '
     &             /6X,' 5 b        15 tau     25 h0      35 H0      '
     &             /6X,' 6 t        16 nutau   26         36         '
     &             /6X,' 7 b''       17 tau''-   27         37 H+      '
     &             /6X,' 8 t''       18 nutau''- 28         38         '
     &             /6X,' 9          19         29         39         '
     &             /6X,'10          20         30         40 R0      '
     &            //1X,'Negative code corresponds to antiparticle')
 5272       FORMAT(/1X,'ALL INITIAL STATES ARE FORBIDDEN'/
     &              1X,'SOME INITIAL STATE MUST BE SET ON'/)
 5274       FORMAT(/1X,'ALL INITIAL STATES ARE ALLOWED'/)
 5276       FORMAT(/1X,20('*')
     &      ,' KFIN VALUE FOR ',A5,' [ID,OFF(0)/ON(1)] ',20('*')/
     &      ,10(/5X,8(I3,1X,A3,2X)))
C
            GOTO 270
C
C--------RETURN
         ELSEIF(VERB.EQ.'RETURN') THEN
            GOTO 1
C
         ENDIF
         GOTO 200
C
C===03:CUTS
      ELSEIF(VERB.EQ.'CUTS') THEN
C
C--------Ask for a menu item - CUTS -
  300    STATUS=UIACME(MENUID+ 4,VERB,N$A)
         IF((STATUS.NE.UISUCC).AND.(STATUS.NE.UIQUPR)) GOTO 1
C
C........CKIN
         IF(VERB.EQ.'CKIN') THEN
            STATUS=UIGTIN('CKIN INDEX',ICUT,N$A,N$A)
            IF(ICUT.LE.0.OR.ICUT.GE.55) THEN
               WRITE(6,*) '1 =< CKIN INDEX =< 54'
               GOTO 300
            ENDIF
            IF(CHCKI2((ICUT+1)/2)(1:4).EQ.'None') THEN
               WRITE(6,5300) ICUT
               GOTO 300
            ENDIF
            CH72(1:13)='CKIN(XX)=XXX('
            IF(MOD(ICUT,2).EQ.1) THEN
               CH72(10:12)='Min'
            ELSE
               CH72(10:12)='Max'
            ENDIF
            LENGTH=CULEN(CHCKI2((ICUT+1)/2))
            CH72(14:13+LENGTH)=CHCKI2((ICUT+1)/2)
            CH72(14+LENGTH:14+LENGTH)=')'
            WRITE(CH72(6:7),'(I2)') ICUT
            STATUS=UIGTDP(CH72(1:14+LENGTH),CKIN(ICUT),N$A,N$A)
C
C........SHOW
         ELSEIF(VERB.EQ.'SHOW') THEN
            WRITE(6,5310)
            DO 310 J=1,27
               IF(CHCKI2(J)(1:4).EQ.'None') GOTO 310
               I1=2*J-1
               I2=2*J
               WRITE(6,5320) CHCKI2(J),I1,CKIN(I1),I2,CKIN(I2)
  310       CONTINUE
C
C........HELP
         ELSEIF(VERB.EQ.'HELP') THEN
            WRITE(6,5330)
            WRITE(6,5340)
C
C........RETURN
         ELSEIF(VERB.EQ.'RETURN') THEN
            GOTO 1
         ENDIF
         GOTO 300
 5300    FORMAT(/1X,'CKIN(',I2,') is not available'/)
 5310    FORMAT(/1X,32('*'),' LIST OF CKIN ',32('*')//
     &          30X,'Minimum value',10X,'Maximum value'/)
 5320    FORMAT(7X,A16,5X,'CKIN(',I2,') =',F8.3
     &                ,5X,'CKIN(',I2,') =',F8.3)
 5330    FORMAT(/1X,'Short description of CKIN'
     &,'( type HELP CUTS in PYTHIA menu for more details )'/
     &/5X,'CKIN( 1), CKIN( 2) : Range of m-hat=sqrt(s-hat)'
     &/5X,'CKIN( 3), CKIN( 4) : Range of pt-hat for 2->2 process'
     &/5X,'CKIN( 5), CKIN( 6) : Lower/Upper cutoff on pt for 2->2 proc'
     &/5X,'CKIN( 7), CKIN( 8) : Range of y*, scat. subsytem rapidity'
     &/5X,'CKIN( 9), CKIN(10) : Range of largest  rapidity Max(y3,y4)'
     &/5X,'CKIN(11), CKIN(12) : Range of smallest rapidity Min(y3,y4)'
     &/5X,'CKIN(13), CKIN(14) : Range of largest  pseudorapidity'
     &/5X,'CKIN(15), CKIN(16) : Range of smallest pseudorapidity'
     &/5X,'CKIN(17), CKIN(18) : Range of largest  cos(theta*)'
     &/5X,'CKIN(19), CKIN(20) : Range of smallest cos(theta*)'
     &/5X,'CKIN(21), CKIN(22) : Range of x1'
     &/5X,'CKIN(23), CKIN(24) : Range of x2'
     &/5X,'CKIN(25), CKIN(26) : Range of Feynman-x, xF = x1 - x2'
     &/5X,'CKIN(27), CKIN(28) : Range of cos(theta-hat)')
 5340    FORMAT(
     & 5X,'CKIN(31), CKIN(32) : Range of m''-hat for 2->3, or 2->4 proc'
     &/5X,'CKIN(41), CKIN(42) : Range of mass for resonace_1'
     &/5X,'CKIN(43), CKIN(44) : Range of mass for resonace_2'
     &/5X,'CKIN(45), CKIN(46) : Range of mass for secondary resonace_1'
     &/5X,'CKIN(47), CKIN(48) : Range of mass for secondary resonace_2'
     &/5X,'CKIN(51), CKIN(52) : Range of largeset pt for 2->3 proc'
     &/5X,'CKIN(53), CKIN(54) : Range of smallest pt for 2->3 proc')
C
C===04:PYTHIA_PARAMETERS
      ELSEIF(VERB.EQ.'PYTHIA_PARAMETERS') THEN
C
C--------Ask for a menu item - PYTHIA_PARAMETERS -
  400    STATUS=UIACME(MENUID+ 5,VERB,N$A)
         IF((STATUS.NE.UISUCC).AND.(STATUS.NE.UIQUPR)) GOTO 1
C
C
C--------MSTP
         IF(VERB.EQ.'MSTP') THEN
            STATUS=UIGTIN('MSTP INDEX',IMSTP,N$A,N$A)
            IF(IMSTP.LE.0.OR.IMSTP.GE.201) THEN
               WRITE(6,*) '1 =< MSTP INDEX =< 200'
               GOTO 400
            ENDIF
            CH72(1:9)='MSTP(XXX)'
            WRITE(CH72(6:8),'(I3)') IMSTP
            STATUS=UIGTIN(CH72(1:9),MSTP(IMSTP),N$A,N$A)
            GOTO 400
C
C--------PARP
         ELSEIF(VERB.EQ.'PARP') THEN
            STATUS=UIGTIN('PARP INDEX',IPARP,N$A,N$A)
            IF(IPARP.LE.0.OR.IPARP.GE.201) THEN
               WRITE(6,*) '1 =< PARP INDEX =< 200'
               GOTO 400
            ENDIF
            CH72(1:9)='PARP(XXX)'
            WRITE(CH72(6:8),'(I3)') IPARP
            STATUS=UIGTDP(CH72(1:9),PARP(IPARP),N$A,N$A)
            GOTO 400
C
C--------LIST
         ELSEIF(VERB.EQ.'LIST') THEN
C...........Ask for a menu item - LIST -
  410       STATUS=UIACME(MENUID+ 6,VERB,N$A)
            IF((STATUS.NE.UISUCC).AND.(STATUS.NE.UIQUPR)) GOTO 1
C...........MSTP
            IF(VERB.EQ.'MSTP') THEN
               WRITE(6,5400) 'MSTP','MSTP',(J,MSTP(J),J=1,200)
C...........PARP
            ELSEIF(VERB.EQ.'PARP') THEN
               WRITE(6,5410) 'PARP','PARP',(J,PARP(J),J=1,200)
C...........RETURN
            ELSEIF(VERB.EQ.'RETURN') THEN
               GOTO 400
            ENDIF
            GOTO 410
C
C--------RETURN
         ELSEIF(VERB.EQ.'RETURN') THEN
            GOTO 1
         ENDIF
         GOTO 400
 5400    FORMAT(/1X,22('*')
     &          ,' LIST OF ',A4,'( INDEX:',A4,'(INDEX) ) ',22('*')
     &          /40(/1X,4(I4,':',I6,5X),I4,':',I6))
 5410    FORMAT(/1X,22('*')
     &          ,' LIST OF ',A4,'( INDEX:',A4,'(INDEX) ) ',22('*')
     &          /40(/1X,4(I4,':',E10.3,1X),I4,':',E10.3))
 5420    FORMAT(/1X,'TYPE MSTP OR PARP OR QUIT'/)
C
C===05:JETSET_PARAMETERS
      ELSEIF(VERB.EQ.'JETSET_PARAMETERS') THEN
C
C--------Ask for a menu item - JESET_PARAMETERS -
  500    STATUS=UIACME(MENUID+ 7,VERB,N$A)
         IF((STATUS.NE.UISUCC).AND.(STATUS.NE.UIQUPR)) GOTO 1
C
C
C--------MSTU
         IF(VERB.EQ.'MSTU') THEN
            STATUS=UIGTIN('MSTU index',IMSTU,N$A,N$A)
            IF(IMSTU.LE.0.OR.IMSTU.GE.201) THEN
               WRITE(6,*) '1 =< MSTU index =< 200'
               GOTO 500
            ENDIF
            CH72(1:9)='MSTU(XXX)'
            WRITE(CH72(6:8),'(I3)') IMSTU
            STATUS=UIGTIN(CH72(1:9),MSTU(IMSTU),N$A,N$A)
            GOTO 500
C
C--------PARU
         ELSEIF(VERB.EQ.'PARU') THEN
            STATUS=UIGTIN('PARU index',IPARU,N$A,N$A)
            IF(IPARU.LE.0.OR.IPARU.GE.201) THEN
               WRITE(6,*) '1 =< PARU index =< 200'
               GOTO 500
            ENDIF
            CH72(1:9)='PARU(XXX)'
            WRITE(CH72(6:8),'(I3)') IPARU
            STATUS=UIGTDP(CH72(1:9),PARU(IPARU),N$A,N$A)
            GOTO 500
C
C--------MSTJ
         ELSEIF(VERB.EQ.'MSTJ') THEN
            STATUS=UIGTIN('MSTU index',IMSTJ,N$A,N$A)
            IF(IMSTJ.LE.0.OR.IMSTJ.GE.201) THEN
               WRITE(6,*) '1 =< MSTJ index =< 200'
               GOTO 500
            ENDIF
            CH72(1:9)='MSTJ(XXX)'
            WRITE(CH72(6:8),'(I3)') IMSTJ
            STATUS=UIGTIN(CH72(1:9),MSTJ(IMSTJ),N$A,N$A)
            GOTO 500
C
C--------PARJ
         ELSEIF(VERB.EQ.'PARJ') THEN
            STATUS=UIGTIN('PARJ index',IPARJ,N$A,N$A)
            IF(IPARJ.LE.0.OR.IPARJ.GE.201) THEN
               WRITE(6,*) '1 =< PARJ index =< 200'
               GOTO 500
            ENDIF
            CH72(1:9)='PARJ(XXX)'
            WRITE(CH72(6:8),'(I3)') IPARJ
            STATUS=UIGTDP(CH72(1:9),PARJ(IPARJ),N$A,N$A)
            GOTO 500
C
C--------PARTICLE
         ELSEIF(VERB.EQ.'PARTICLE') THEN
C...........Ask for a menu item - PARTICLE -
  510       STATUS=UIACME(MENUID+ 8,VERB,N$A)
            IF((STATUS.NE.UISUCC).AND.(STATUS.NE.UIQUPR)) GOTO 1
C...........MASS
            IF(VERB.EQ.'MASS') THEN
               STATUS=UIGTIN('Particle id',KF,N$A,N$A)
               KC=PYCOMP(KF)
C SPYTHIA fix
               IF (KF.EQ.72) KC = 25
               IF (KF.EQ.73) KC = 35
               IF (KF.EQ.74) KC = 36
               IF (KF.EQ.75) KC = 37
               IF(KC.EQ.0) THEN
                  WRITE(6,5530) KF
                  GOTO 510
               ENDIF
               CALL PYNAME(KF,CH16)
               CH72='Mass of '//CH16
               STATUS=UIGTDP(CH72(1:24),PMAS(KC,1),N$A,N$A)
C SPYTHIA fix
               IF (KF.GE.72.AND.KF.LE.75) PMAS(KF,1)=PMAS(KC,1)
C...........WIDTH
            ELSEIF(VERB.EQ.'WIDTH') THEN
               STATUS=UIGTIN('Particle id',KF,N$A,N$A)
               KC=PYCOMP(KF)
               IF(KC.EQ.0) THEN
                  WRITE(6,5530) KF
                  GOTO 510
               ENDIF
               CALL PYNAME(KF,CH16)
               CH72='Total width of '//CH16
               STATUS=UIGTDP(CH72(1:31),PMAS(KC,2),N$A,N$A)
C...........MAX_MASS_DEV
            ELSEIF(VERB.EQ.'MAX_MASS_DEV') THEN
               STATUS=UIGTIN('Particle id',KF,N$A,N$A)
               KC=PYCOMP(KF)
               IF(KC.EQ.0) THEN
                  WRITE(6,5530) KF
                  GOTO 510
               ENDIF
               CALL PYNAME(KF,CH16)
               CH72='Max mass deviation of '//CH16
               STATUS=UIGTDP(CH72(1:38),PMAS(KC,3),N$A,N$A)
C...........LIFE_TIME
            ELSEIF(VERB.EQ.'LIFE_TIME') THEN
               STATUS=UIGTIN('Particle id',KF,N$A,N$A)
               KC=PYCOMP(KF)
               IF(KC.EQ.0) THEN
                  WRITE(6,5530) KF
                  GOTO 510
               ENDIF
               CALL PYNAME(KF,CH16)
               CH72='Life time/(mm/c) of '//CH16
               STATUS=UIGTDP(CH72(1:36),PMAS(KC,4),N$A,N$A)
C...........LIST_ID
            ELSEIF(VERB.EQ.'LIST_ID') THEN
               WRITE(6,5560)
               WRITE(6,5562)
               WRITE(6,5564)
               WRITE(6,5566)
C...........RETURN
            ELSEIF(VERB.EQ.'RETURN') THEN
               GOTO 500
            ENDIF
            GOTO 510
C
C--------PARF
         ELSEIF(VERB.EQ.'PARF') THEN
            STATUS=UIGTIN('PARF INDEX',IPARF,N$A,N$A)
            IF(IPARF.LE.0.OR.IPARF.GE.2001) THEN
               WRITE(6,*) '1 =< PARF INDEX =< 2000'
               GOTO 500
            ENDIF
            CH72(1:10)='PARF(XXXX)'
            WRITE(CH72(6:9),'(I4)') IPARF
            STATUS=UIGTDP(CH72(1:10),PARF(IPARF),N$A,N$A)
            GOTO 500
C
C--------CKM_MATRIX
         ELSEIF(VERB.EQ.'CKM_MATRIX') THEN
            CH72='CKM matrix element for (X,X)'
            DO 520 I=1,4
               DO 520 J=1,4
                  CH72(25:25)=CHAF(2*I,1)(1:1)
                  CH72(27:27)=CHAF(2*J-1,1)(1:1)
                  STATUS=UIGTDP(CH72(1:28),VCKM(I,J),N$A,N$A)
  520       CONTINUE
            GOTO 500
C
C--------DECAY
         ELSEIF(VERB.EQ.'DECAY') THEN
C...........Ask for a menu item - DECAY -
  530       STATUS=UIACME(MENUID+ 9,VERB,N$A)
            IF((STATUS.NE.UISUCC).AND.(STATUS.NE.UIQUPR)) GOTO 1
C...........STABLE
            IF(VERB.EQ.'STABLE') THEN
               STATUS=UIGTIN('Paricle id to stabilize',KF,N$A,N$A)
               KC=PYCOMP(KF)
               IF(KC.EQ.0) THEN
                  WRITE(6,5530) KF
                  GOTO 530
               ENDIF
               LGCAL=.NOT.LONOFF(MDCY(KC,1))
               CALL PYNAME(KF,CH16)
               CH72='Stabilize '//CH16
               STATUS=UIGTON(CH72(1:26),LGCAL)
               IF (LGCAL) THEN
                 MDCY(KC,1)=0
               ELSE
                 MDCY(KC,1)=1
               ENDIF
C...........CHANNEL_SWITCH
            ELSEIF(VERB.EQ.'CHANNEL_SWITCH') THEN
               STATUS=UIGTIN('Particle id to be switched',KF,N$A,N$A)
               KC=PYCOMP(KF)
               IF(KC.EQ.0) THEN
                  WRITE(6,5530) KF
                  GOTO 530
               ENDIF
               IDC1=MDCY(KC,2)
               IDC2=MDCY(KC,2)+MDCY(KC,3)-1
               IF(IDC1.EQ.0.OR.IDC2.EQ.0) THEN
                  CALL PYNAME(KF,CH16)
                  WRITE(6,5532) CH16
                  GOTO 530
               ENDIF
               CH132='MDME(*,1) value for XXXXXX -> '
               WRITE(CH132(21:26),'(I6)') KF
               DO 532 IDC=IDC1,IDC2
                  IF(MDME(IDC,2).EQ.101) GOTO 532
                  DO 533 I=0,1
                     IF(IDC+I.GT.2000
     &               .OR.(I.EQ.1.AND.MDME(IDC+I,2).NE.101)) GOTO 533
                     DO 534 J=1,5
                        KFN=KFDP(IDC+I,J)
                        IF(KFN.EQ.0) GOTO 534
                        NC=25+30*I+6*J
                        WRITE(CH132(NC:NC+5),'(I6)') KFN
  534                CONTINUE
  533             CONTINUE
                  STATUS=UIGTIN(CH132(1:NC+5),MDME(IDC,1),N$A,N$A)
  532          CONTINUE
C...........BR_FRACTION
            ELSEIF(VERB.EQ.'BR_FRACTION') THEN
               STATUS=UIGTIN('Particle id',KF,N$A,N$A)
               KC=PYCOMP(KF)
               IF(KC.EQ.0) THEN
                  WRITE(6,5530) KF
                  GOTO 530
               ENDIF
               IDC1=MDCY(KC,2)
               IDC2=MDCY(KC,2)+MDCY(KC,3)-1
               IF(IDC1.EQ.0.OR.IDC2.EQ.0) THEN
                  CALL PYNAME(KF,CH16)
                  WRITE(6,5532) CH16
                  GOTO 530
               ENDIF
               CH132='Branching fraction for XXXXXX -> '
               WRITE(CH132(24:29),'(I6)') KF
               SUM=0.
               DO 535 IDC=IDC1,IDC2
                  IF(MDME(IDC,2).EQ.101) GOTO 535
                  DO 536 I=0,1
                     IF(IDC+I.GT.2000
     &               .OR.(I.EQ.1.AND.MDME(IDC+I,2).NE.101)) GOTO 536
                     DO 537 J=1,5
                        KFN=KFDP(IDC+I,J)
                        IF(KFN.EQ.0) GOTO 536
                        NC=28+30*I+6*J
                        WRITE(CH132(NC:NC+5),'(I6)') KFN
  537                CONTINUE
  536             CONTINUE
                  STATUS=UIGTDP(CH132(1:NC+5),BRAT(IDC),N$A,N$A)
                  SUM=SUM+BRAT(IDC)
  535          CONTINUE
               IF(SUM.LE.1.E-8) THEN
                  WRITE(6,5534)
                  GOTO 530
               ENDIF
               DO 539 IDC=IDC1,IDC2
                  IF(MDME(IDC,2).EQ.101) GOTO 539
                  BRAT(IDC)=BRAT(IDC)/SUM
  539          CONTINUE
C...........HELP_ID
            ELSEIF(VERB.EQ.'HELP_ID') THEN
               STATUS=UIGTIN('Particle id',KF,N$A,N$A)
               KC=PYCOMP(KF)
               IF(KC.EQ.0) THEN
                  WRITE(6,5530) KF
                  GOTO 530
               ENDIF
               CALL PYNAME(KF,CH16)
               WRITE(6,5512) KF,CH16
C...........LIST_ID
            ELSEIF(VERB.EQ.'LIST_ID') THEN
               WRITE(6,5560)
               WRITE(6,5562)
               WRITE(6,5564)
               WRITE(6,5566)
C...........HELP_MDME1
            ELSEIF(VERB.EQ.'HELP_MDME1') THEN
               WRITE(6,5568)
C...........RETRUN
            ELSEIF(VERB.EQ.'RETURN') THEN
               GOTO 500
            ENDIF
            GOTO 530
C
C--------LIST
         ELSEIF(VERB.EQ.'LIST') THEN
C...........Ask for a menu item - LIST -
  550       STATUS=UIACME(MENUID+10,VERB,N$A)
            IF((STATUS.NE.UISUCC).AND.(STATUS.NE.UIQUPR)) GOTO 1
            IF(VERB.EQ.'MSTU') THEN
               WRITE(6,5400) 'MSTU','MSTU',(J,MSTU(J),J=1,200)
            ELSEIF(VERB.EQ.'PARU') THEN
               WRITE(6,5410) 'PARU','PARU',(J,PARU(J),J=1,200)
            ELSEIF(VERB.EQ.'MSTJ') THEN
               WRITE(6,5400) 'MSTJ','MSTJ',(J,MSTJ(J),J=1,200)
            ELSEIF(VERB.EQ.'PARJ') THEN
               WRITE(6,5410) 'PARJ','PARJ',(J,PARJ(J),J=1,200)
            ELSEIF(VERB.EQ.'PARF_200') THEN
               WRITE(6,5410) 'PARF','PARF',(J,PARF(J),J=1,200)
            ELSEIF(VERB.EQ.'PARF_ALL') THEN
               WRITE(6,5410) 'PARF','PARF',(J,PARF(J),J=   1, 200)
               WRITE(6,5410) 'PARF','PARF',(J,PARF(J),J= 201, 400)
               WRITE(6,5410) 'PARF','PARF',(J,PARF(J),J= 401, 600)
               WRITE(6,5410) 'PARF','PARF',(J,PARF(J),J= 601, 800)
               WRITE(6,5410) 'PARF','PARF',(J,PARF(J),J= 801,1000)
               WRITE(6,5410) 'PARF','PARF',(J,PARF(J),J=1001,1200)
               WRITE(6,5410) 'PARF','PARF',(J,PARF(J),J=1201,1400)
               WRITE(6,5410) 'PARF','PARF',(J,PARF(J),J=1401,1600)
               WRITE(6,5410) 'PARF','PARF',(J,PARF(J),J=1601,1800)
               WRITE(6,5410) 'PARF','PARF',(J,PARF(J),J=1801,2000)
            ELSEIF(VERB.EQ.'CKM_MATRIX') THEN
               WRITE(6,5510) ((VCKM(I,J),J=1,4),I=1,4)
            ELSEIF(VERB.EQ.'RETURN') THEN
               GOTO 500
            ENDIF
            GOTO 550
C
C--------WRITE_TABLE
         ELSEIF(VERB.EQ.'WRITE_TABLE') THEN
            STATUS=UIGTTX('Output file name',FILNAM,N$A,N$A,N$A)
            STATUS=SITRFN(FILNAM,CLNDC(6),ILEN)
            IF (STATUS.NE.SISUCC) THEN
              CLNDL(6) = .FALSE.
              WRITE (LUPRT,'(A)') ' FileName '//FILNAM//' Invalid'
              GOTO 500
            ENDIF
            STATUS=UIGTTX('Output file name',CLNDC(6),N$A,N$A,N$A)
            LGCAL=.TRUE.
            STATUS=UIGTYE('Carry out writing table, OK?',LGCAL)
            IF(.NOT.LGCAL) GOTO 500
            STATUS=UIGTLU(CLNDI(6))
            OPEN(UNIT=CLNDI(6),FILE=CLNDC(6),STATUS='NEW')
            CALL PYUPDA(1,CLNDI(6))
            CLOSE(UNIT=CLNDI(6))
            WRITE(6,5550) CLNDC(6)
            GOTO 500
C
C--------READ_TABLE
         ELSEIF(VERB.EQ.'READ_TABLE') THEN
            STATUS=UIGTTX('Particle data file name to read',FILNAM,
     &         N$A,N$A,N$A)
            STATUS=SITRFN(FILNAM,CLNDC(7),ILEN)
            IF (STATUS.NE.SISUCC) THEN
              CLNDL(7) = .FALSE.
              WRITE (LUPRT,'(A)') ' FileName '//FILNAM//' Invalid'
              GOTO 500
            ENDIF
            STATUS=UIGTTX('Particle data file name to read',CLNDC(7),
     &         N$A,N$A,N$A)
            LGCAL=.TRUE.
            STATUS=UIGTYE('Carry out reading table, OK?',LGCAL)
            IF(.NOT.LGCAL) GOTO 500
            STATUS=UIGTLU(CLNDI(7))
#if defined (IBM)
            CALL IBMFI(CLNDC(7),CLNDI(7))
            OPEN(UNIT=CLNDI(7)
#else 
#if defined(RS6000) || defined(LINUX)
            OPEN(UNIT=CLNDI(7),FILE=CLNDC(7)
#else
            OPEN(UNIT=CLNDI(7),FILE=CLNDC(7)
     &          ,READONLY,SHARED
#endif
#endif
     &          ,STATUS='OLD',IOSTAT=IERR)
            IF(IERR.NE.0) THEN
               CALL ERLOGR('PYTTLK',ERWARN,IERR,0
     &         ,'Error while attempting to open Particle data file')
               GOTO 500
            ENDIF
            CALL PYUPDA(2,CLNDI(7))
            CLOSE(UNIT=CLNDI(7))
            WRITE(6,5552) CLNDC(7)
            GOTO 500
C
C--------RETURN
         ELSEIF(VERB.EQ.'RETURN') THEN
            GOTO 1
         ENDIF
         GOTO 500
 5510    FORMAT(/1X,24('*'),' SQUARED ELEMENT OF CKM MATRIX ',24('*')/
     &          /23X,'d',11X,'s',11X,'b',11X,'l'
     &          /15X,'u',4F12.6
     &          /15X,'c',4F12.6
     &          /15X,'t',4F12.6
     &          /15X,'h',4F12.6/)
 5512    FORMAT(1X,'Particle name for KF =',I6,' is ',A16)
 5520    FORMAT(/1X,'Error while opening file ',A/)
 5530    FORMAT(/1X,'KF id code =',I5,' is not in particle table'/)
 5532    FORMAT(/1X,'No decay channel is allowed for ',A/)
 5534    FORMAT(/1X,'Sum of branching fraction must be positive'
     &          /1X,'Try again to set the branching fraction'/)
 5540    FORMAT(/1X,23('*'),' LIST OF PARTICLE ID[ NAME(ID) ] '
     &          ,23('*')/)
 5542    FORMAT(1X,A80)
 5550    FORMAT(/1X,'Particle data written to file ',A)
 5552    FORMAT(/1X,'Read particle data from file ',A)
 5560    FORMAT(/1X,'KF id of the most frequently used particles are'/)
 5562    FORMAT(
     & 9X,'   1  down       11  e-         21  g          31          '
     &/9X,'   2  up         12  nu_e       22  gamma      32  Z''0    '
     &/9X,'   3  trange     13  mu-        23  Z0         33          '
     &/9X,'   4  harm       14  nu_mu      24  W+         34  W''+    '
     &/9X,'   5  bottom     15  tau-       25  h0         35  H0      '
     &/9X,'   6  top        16  nu_tau     26             36          '
     &/9X,'   7  bottom''    17  tau''-      27             37  H+     '
     &/9X,'   8  top''       18  nu''_tau    28             38         '
     &/9X,'   9             19             29             39          '
     &/9X,'  10             20             30             40  R0      ')
 5563    FORMAT(
     & 9X,'  41  ~d_L       51  ~t_1       61  ~tau_1     71  ~C2     '
     &/9X,'  42  ~d_R       52  ~t_2       62  ~tau_2     72  h       '
     &/9X,'  43  ~u_L       53  ~e_L       63  ~nutau_L   73  H       '
     &/9X,'  44  ~u_R       54  ~e_R       64  ~nutau_R   74  A       '
     &/9X,'  45  ~s_L       55  ~nue_L     65  ~g         75  HC      '
     &/9X,'  46  ~s_R       56  ~nue_R     66  ~N1        76  ~grvtno '
     &/9X,'  47  ~c_L       57  ~mu_L      67  ~N2        77          '
     &/9X,'  48  ~c_R       58  ~mu_R      68  ~N3        78          '
     &/9X,'  49  ~b_1       59  ~numu_L    69  ~N4        79          '
     &/9X,'  50  ~b_2       60  ~numu_R    70  ~C1        80          ')
 5564    FORMAT(
     & 9X,'1103  dd_1     2103  ud_1     3101  sd_0     3201  su_0     '
     &/9X,'2101  ud_0     2203  uu_1     3103  sd_1     3203  su_1     '
     &/9X,' 111  Pi0       113  rho0     2112  n        2114  Delta0   '
     &/9X,' 211  pi+       213  rho+     2212  p        2214  Delta+   '
     &/9X,' 311  K0        313  K*0      3112  Sigma-   3114  Sigma*-  '
     &/9X,' 321  K+        323  K*+      3122  Lambda0                 '
     &/9X,' 411  D+        413  D*+      3212  Sigma0   3214  Sigma*0  '
     &/9X,' 421  D0        423  D*0      3222  Sigma+   3224  Sigma*+  '
     &/9X,' 431  D_s+      433  D*_s+    3312  Xi-      3314  Xi*-     '
     &/9X,' 511  B0        513  B*0      3322  Xi0      3324  Xi*0     '
     &/9X,' 521  B+        523  B*+      4112  Sigmac0  4114  Sigma*c0 '
     &/9X,' 221  eta       223  omega    4122  Lambdac+                '
     &/9X,' 331  eta''      333  phi      4212  Sigmac+  4214  Sigma*c+'
     &/9X,' 441  eta_c     443  J/psi    4222  Sigmac++ 4224  Sigma*c++'
     &/9X,' 551  eta_b     553  Upsilon                 1114  Delta-   '
     &/9X,' 661  eta_t     663  Theta                   2224  Delta++  '
     &/9X,' 130  K_L0                                   3334  Omega-   '
     &/9X,' 310  K_S0    ')
 5566    FORMAT(/1X,'Negative KF code corresponds to the antiparticle'
     &          /1X,'See PYTHIA$DOC:KFCODE.LIS for more details')
 5568    FORMAT(
     &/1X,'Short description of MDME(*,1) values'/
     &/5X,'-1 : Non standard decay mode, not to exist in default'
     &/5X,' 0 : channel is switched off'
     &/5X,' 1 : channel is switched on'
     &/5X,' 2 : channel is switched on  for particle'
     &   ,', off for antiparticle'
     &/5X,' 3 : channel is switched off for particle'
     &   ,', on  for antiparticle'
     &/5X,' 4 : PYTHIA - one of resonance allowed decay for WW,ZZ,HH,RR'
     &/5X,'              switch is on for different pair'
     &/5X,'     JETSET - channel is switched off'
     &/5X,' 5 : as=4, but switch is off for different pair')
C
C===06:RANDOM_NUMBER
      ELSEIF(VERB.EQ.'RANDOM_NUMBER') THEN
         WRITE(LUTTYO,*) 
     &     ' spythia now uses R_N code'
         WRITE(LUTTYO,*) 
     &    ' Use RNJSEQ to specify a job sequence'
         WRITE(LUTTYO,*) 
     &     ' Define RNSTAT to save full rn status in file'
         WRITE(LUTTYO,*) 
     &     ' Define RNSEED to use previous status as starting point'
         WRITE(LUTTYO,*) 
     &     ' The current R_N status is printed below'
         CALL RNSPRT(RN_PYTH)

C===07:OUTPUT
      ELSEIF(VERB.EQ.'OUTPUT') THEN
C
C--------Ask for a menu item - OUTPUT -
  700    STATUS=UIACME(MENUID+14,VERB,N$A)
         IF((STATUS.NE.UISUCC).AND.(STATUS.NE.UIQUPR)) GOTO 1
C
C--------NUMBER_OF_PRINT
         IF(VERB.EQ.'NUMBER_OF_PRINT') THEN
            STATUS=UIGTIN('Number of print',CLNDI(10),N$A,N$A)
            STATUS=UIGTIN('Print event per',CLNDI(11),N$A,N$A)
            GOTO 700
C
C--------PYTHIA_FORMAT
         ELSEIF(VERB.EQ.'PYTHIA_FORMAT') THEN
            STATUS=UIGTON('Output event by PYTHIA format',CLNDL(2))
            IF(CLNDL(2)) THEN
  710          STATUS=UIGTIN('PYTHIA format output level(1-3)',
     &            CLNDI(12),N$A,N$A)
               IF(CLNDI(12).LE.0.OR.CLNDI(12).GE.4) THEN
                  WRITE(6,5700)
                  GOTO 710
               ENDIF
            ENDIF
            IF(CLNDL(2)) THEN
               STATUS=UIGTTX('PYTHIA format file name',FILNAM,N$A,N$A,
     &            N$A)
               STATUS=SITRFN(FILNAM,CLNDC(2),ILEN)
               IF (STATUS.NE.SISUCC) THEN
                 CLNDL(2) = .FALSE.
                 WRITE (LUPRT,'(A)') ' FileName '//FILNAM//' Invalid'
               ENDIF
               STATUS=UIGTTX('PYTHIA format file name',CLNDC(2),
     &            N$A,N$A,N$A)
            ENDIF
            GOTO 700
C
C--------HEPEVT_FORMAT
         ELSEIF(VERB.EQ.'HEPEVT_FORMAT') THEN
            STATUS=UIGTON('Output event by HEPEVT format',CLNDL(1))
            IF(CLNDL(1)) THEN
               STATUS=UIGTTX('HEPEVT format file name',FILNAM,N$A,N$A,
     &            N$A)
               STATUS=SITRFN(FILNAM,CLNDC(1),ILEN)
               IF (STATUS.NE.SISUCC) THEN
                 CLNDL(1) = .FALSE.
                 WRITE (LUPRT,'(A)') ' FileName '//FILNAM//' Invalid'
               ENDIF
               STATUS=UIGTTX('HEPEVT format file name',CLNDC(1),
     &            N$A,N$A,N$A)
            ENDIF
            GOTO 700
C
C--------CONV_MAP
         ELSEIF(VERB.EQ.'CONV_MAP') THEN
            STATUS=UIGTON('Output event with GENP conversion map'
     &                    ,CLNDL(29))
            IF(CLNDL(29)) THEN
               STATUS=UIGTTX('Conversion map file name',FILNAM,N$A,
     &            N$A,N$A)
               STATUS=SITRFN(FILNAM,CLNDC(29),ILEN)
               IF (STATUS.NE.SISUCC) THEN
                 CLNDL(29) = .FALSE.
                 WRITE (LUPRT,'(A)') ' FileName '//FILNAM//' Invalid'
               ENDIF
               STATUS=UIGTTX('Conversion map file name',CLNDC(29),
     &            N$A,N$A,N$A)
            ENDIF
            GOTO 700
C
C--------GENP_FORMAT
         ELSEIF(VERB.EQ.'GENP_FORMAT') THEN
            STATUS=UIGTON('Output event by GENP format',CLNDL(30))
            IF(CLNDL(30)) THEN
               STATUS=UIGTTX('GENP format file name',FILNAM,N$A,N$A,
     &            N$A)
               STATUS=SITRFN(FILNAM,CLNDC(30),ILEN)
               IF (STATUS.NE.SISUCC) THEN
                 CLNDL(30) = .FALSE.
                 WRITE (LUPRT,'(A)') ' FileName '//FILNAM//' Invalid'
               ENDIF
               STATUS=UIGTTX('GENP format file name',CLNDC(30),
     &            N$A,N$A,N$A)
            ENDIF
            GOTO 700
C
C--------LIST_DATA
         ELSEIF(VERB.EQ.'LIST_DATA') THEN
C...........Ask for a menu item - LIST_DATA -
  730       STATUS=UIACME(MENUID+15,VERB,N$A)
            IF((STATUS.NE.UISUCC).AND.(STATUS.NE.UIQUPR)) GOTO 1
C...........PARTICLE_TABLE
            IF(VERB.EQ.'PARTICLE_TABLE') THEN
               STATUS=UIGTON('Output particle table',CLNDL(3))
               IF(CLNDL(3)) THEN
                  STATUS=UIGTTX('File name for particle table',FILNAM,
     &               N$A,N$A,N$A)
                  STATUS=SITRFN(FILNAM,CLNDC(3),ILEN)
                  IF (STATUS.NE.SISUCC) THEN
                    CLNDL(3) = .FALSE.
                    WRITE (LUPRT,'(A)') ' FileName '//FILNAM//' Invalid'
                  ENDIF
                  STATUS=UIGTTX('File name for particle table',CLNDC(3),
     &               N$A,N$A,N$A)
               ENDIF
               GOTO 730
C...........DECAY_TABLE
            ELSEIF(VERB.EQ.'DECAY_TABLE') THEN
               STATUS=UIGTON('Output decay table',CLNDL(4))
               IF(CLNDL(4)) THEN
                  STATUS=UIGTTX('File name for decay table',FILNAM,
     &               N$A,N$A,N$A)
                  STATUS=SITRFN(FILNAM,CLNDC(4),ILEN)
                  IF (STATUS.NE.SISUCC) THEN
                    CLNDL(4) = .FALSE.
                    WRITE (LUPRT,'(A)') ' FileName '//FILNAM//' Invalid'
                  ENDIF
                  STATUS=UIGTTX('File name for decay table',CLNDC(4),
     &               N$A,N$A,N$A)
               ENDIF
               GOTO 730
C...........JETSET_DATA
            ELSEIF(VERB.EQ.'JETSET_DATA') THEN
               STATUS=UIGTON('Output JETSET data',CLNDL(5))
               IF(CLNDL(5)) THEN
                  STATUS=UIGTTX('File name for JETSET data',FILNAM,
     &               N$A,N$A,N$A)
                  STATUS=SITRFN(FILNAM,CLNDC(5),ILEN)
                  IF (STATUS.NE.SISUCC) THEN
                    CLNDL(5) = .FALSE.
                    WRITE (LUPRT,'(A)') ' FileName '//FILNAM//' Invalid'
                  ENDIF
                  STATUS=UIGTTX('File name for JETSET data',CLNDC(5),
     &               N$A,N$A,N$A)
               ENDIF
               GOTO 730
C...........PYDATA2( dump /PYDATA2/ )
            ELSEIF(VERB.EQ.'PYDATA2') THEN
               STATUS=UIGTON('Output particle data',CLNDL(28))
               IF(CLNDL(28)) THEN
                  STATUS=UIGTTX('File name for particle data',FILNAM,
     &               N$A,N$A,N$A)
                  STATUS=SITRFN(FILNAM,CLNDC(28),ILEN)
                  IF (STATUS.NE.SISUCC) THEN
                    CLNDL(28) = .FALSE.
                    WRITE (LUPRT,'(A)') ' FileName '//FILNAM//' Invalid'
                  ENDIF
                  STATUS=UIGTTX('File name for particle data',CLNDC(28),
     &               N$A,N$A,N$A)
               ENDIF
               GOTO 730
C...........CDF_PARTICLE
            ELSEIF(VERB.EQ.'CDF_PARTICLE') THEN
               STATUS=UIGTON('Output particle data',CLNDL(27))
               IF(CLNDL(27)) THEN
                  STATUS=UIGTTX('File name to list CDF particle code',
     &               FILNAM,N$A,N$A,N$A)
                  STATUS=SITRFN(FILNAM,CLNDC(27),ILEN)
                  IF (STATUS.NE.SISUCC) THEN
                    CLNDL(27) = .FALSE.
                    WRITE (LUPRT,'(A)') ' FileName '//FILNAM//' Invalid'
                  ENDIF
                  STATUS=UIGTTX('File name to list CDF particle code',
     &               CLNDC(27),N$A,N$A,N$A)
               ENDIF
               GOTO 730
            ENDIF
            GOTO 700
C
C--------RETURN
         ELSEIF(VERB.EQ.'RETURN') THEN
            GOTO 1
         ENDIF
         GOTO 700
 5700    FORMAT(/1X,'Output levels for PYTHIA format are following:'/
     &          /1X,'       1   Output by  80 column format'
     &          /1X,'       2   Output by 132 column format'
     &          /1X,'       3   Same as 3, to view V matrix'/)
C
C===08:GENP_OPTION
      ELSEIF(VERB.EQ.'GENP_OPTION') THEN
C
C--------Ask for a menu item - GENP_OPTION -
  800    STATUS=UIACME(MENUID+16,VERB,N$A)
         IF((STATUS.NE.UISUCC).AND.(STATUS.NE.UIQUPR)) GOTO 1
C
C--------NO_STRING
         IF(VERB.EQ.'NO_STRING') THEN
            STATUS=UIGTON('Suppress to list string',NOSTRG)
C
C--------NO_UNSTABLE
         ELSEIF(VERB.EQ.'NO_UNSTABLE') THEN
            STATUS=UIGTON('List only stable particles',NOUNST)
C
C--------GENP_SWITCH
         ELSEIF(VERB.EQ.'GENP_SWITCH') THEN
            STATUS=UIGTON('Do GENP conversion',CLNDL(21))
C
C--------RETURN
         ELSEIF(VERB.EQ.'RETURN') THEN
            GOTO 1
         ENDIF
C
         GOTO 800
      ELSEIF(VERB.EQ.'HEPG') THEN
         STATUS=UIGTON('Output HEPG bank?',CLNDL(20))
C
C===09:RUN_NUMBER
      ELSEIF(VERB.EQ.'RUN_NUMBER') THEN
C
         STATUS=UIGTIN('Run number',RUNNUM,N$A,N$A)
         GOTO 1
C
C===10:HELP
      ELSEIF(VERB.EQ.'HELP') THEN
C
         STATUS=UIGTHE('Topic:')
         GOTO 1

C==11:SPYTHIA_PARAMETERS
C
      ELSEIF (VERB.EQ.'SPYTHIA_PARAMETERS') THEN
C
C--------Ask for a menu item - SPYTHIA_PARAMETERS -
 1100    STATUS=UIACME(MENUID+ 17,VERB,N$A)
         IF((STATUS.NE.UISUCC).AND.(STATUS.NE.UIQUPR)) GOTO 1



C--------IMSS
         IF(VERB.EQ.'IMSS') THEN
            STATUS=UIGTIN('IMSS INDEX',IIMSS,N$A,N$A)
            IF(IIMSS.LT.0.OR.IIMSS.GT.99) THEN
               WRITE(6,*) '0 =< IMSS INDEX =< 99'
               GOTO 1100
            ENDIF
            CH72(1:9)='IMSS(XXX)'
            WRITE(CH72(6:8),'(I3)') IIMSS
            STATUS=UIGTIN(CH72(1:9),IMSS(IIMSS),N$A,N$A)
            GOTO 1100
C
C--------RMSS
         ELSEIF(VERB.EQ.'RMSS') THEN
            STATUS=UIGTIN('RMSS INDEX',IRMSS,N$A,N$A)
            IF(IRMSS.LT.0.OR.IRMSS.GT.99) THEN
               WRITE(6,*) '0 =< RMSS INDEX =< 99'
               GOTO 1100
            ENDIF
            CH72(1:9)='RMSS(XXX)'
            WRITE(CH72(6:8),'(I3)') IRMSS
            STATUS=UIGTRE(CH72(1:9),RMSS(IRMSS),N$A,N$A)
            GOTO 1100
               
  

C
C--------LIST
         ELSEIF(VERB.EQ.'LIST') THEN
C...........Ask for a menu item - LIST -
 1110       STATUS=UIACME(MENUID+ 18,VERB,N$A)
            IF((STATUS.NE.UISUCC).AND.(STATUS.NE.UIQUPR)) GOTO 1
C...........IMSS
            IF(VERB.EQ.'IMSS') THEN
               WRITE(6,9500) 'IMSS','IMSS',(J,IMSS(J),J=0,99)
C...........PARP
            ELSEIF(VERB.EQ.'RMSS') THEN
               WRITE(6,9510) 'RMSS','RMSS',(J,RMSS(J),J=0,99)            
C...........RETURN
            ELSEIF(VERB.EQ.'RETURN') THEN
               GOTO 1100
            ENDIF
            GOTO 1110

C
C--------RETURN
         ELSEIF(VERB.EQ.'RETURN') THEN
            GOTO 1
         ENDIF
         GOTO 1100
 9500    FORMAT(/1X,22('*')
     &          ,' LIST OF ',A4,'( INDEX:',A4,'(INDEX) ) ',22('*')
     &          /40(/1X,4(I4,':',I6,5X),I4,':',I6))
 9510    FORMAT(/1X,22('*')
     &          ,' LIST OF ',A4,'( INDEX:',A4,'(INDEX) ) ',22('*')
     &          /40(/1X,4(I4,':',E10.3,1X),I4,':',E10.3))

      ELSEIF(VERB.EQ.'PYUPIN') THEN
         STATUS=UIGTIN('Enter subprocess number',ISUB,0,N$A)
         STATUS=UIGTTX('Enter subprocess title',TITLE,N$A,N$A,28)
         STATUS=UIGTDP('Enter maximum cross section',SIGMAX,0d0,N$A)
         CALL PYUPIN(ISUB,TITLE,SIGMAX)
         GOTO 1
C
C===-+:RETURN
      ELSEIF(VERB.EQ.'RETURN') THEN
C
         STATUS=UIOPMD(UISCMD,N$A)
         RETURN
C
      ENDIF
      GOTO 1
      END
